<?php



//$target_dir = "WebAbsen/image/";

$target_dir = "images/photos/";

$datum = mktime(date('H')+0, date('i'), date('s'), date('m'), date('d'), date('y'));
$target_file = $target_dir . date('Y.m.d_H:i:s', $datum) . basename($_FILES["imageFile"]["name"]);

$target_dirs="uploads/";
$target_files = date('Y.m.d_H:i:s', $datum) . basename($_FILES["imageFile"]["name"]);

$uploadOk = 1;
$imageFileType = strtolower(pathinfo($target_file,PATHINFO_EXTENSION));

// Check if image file is a actual image or fake image
if(isset($_POST["submit"])) {
  $check = getimagesize($_FILES["imageFile"]["tmp_name"]);
  if($check !== false) {
    echo "File is an image - " . $check["mime"] . ".";
    $uploadOk = 1;
  }
  else {
    echo "File is not an image.";
    $uploadOk = 0;
  }
}

// Check if file already exists
if (file_exists($target_file)) {
  echo "Sorry, file already exists.";
  $uploadOk = 0;
}

// Check file size
if ($_FILES["imageFile"]["size"] > 500000) {
  echo "Sorry, your file is too large.";
  $uploadOk = 0;
}

// Allow certain file formats
if($imageFileType != "jpg" && $imageFileType != "png" && $imageFileType != "jpeg"
&& $imageFileType != "gif" ) {
  echo "Sorry, only JPG, JPEG, PNG & GIF files are allowed.";
  $uploadOk = 0;
}

// Check if $uploadOk is set to 0 by an error
if ($uploadOk == 0) {
  echo "Sorry, your file was not uploaded.";
// if everything is ok, try to upload file
}
else {
$con = mysqli_connect("localhost","labandroid_absencam1","absencam1Pwd","labandroid_absencam1");



$qry="SELECT * FROM data_logs WHERE status1=1 LIMIT 1";
$qry_ksr=mysqli_query($con,$qry); 
$row_ksr=mysqli_fetch_array($qry_ksr);
$row_cnt = mysqli_num_rows($qry_ksr);
if($row_cnt){
    $SQL="UPDATE data_logs SET photo1  = '".$target_files."',status1=0  WHERE id = ".$row_ksr['id']."";
    mysqli_query($con,$SQL); 
}

$qry="SELECT * FROM data_logs WHERE status2=1 LIMIT 1";
$qry_ksr=mysqli_query($con,$qry); 
$row_ksr=mysqli_fetch_array($qry_ksr);
$row_cnt = mysqli_num_rows($qry_ksr);
if($row_cnt){
    $SQL="UPDATE data_logs SET photo2  = '".$target_files."',status2=0  WHERE id = ".$row_ksr['id']."";
    mysqli_query($con,$SQL); 
}


  if (  move_uploaded_file($_FILES["imageFile"]["tmp_name"],  $target_file)) {
    echo "The file ". basename( $_FILES["imageFile"]["name"]). " has been uploaded and moved.";
  }  
  else {
    echo "Sorry, there was an error uploading or moving your file.";
  }
}
?>
